Package org.eclipse.m2m.atl.adt.ui.preferences

# Class AtlCodeFormatterPropertyPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
org.eclipse.ui.dialogs.PropertyPage
org.eclipse.m2m.atl.adt.ui.preferences.AbstractPropertyAndPreferencePage
org.eclipse.m2m.atl.adt.ui.preferences.AtlCodeFormatterPropertyPage

All Implemented Interfaces:
  `EventListener`, `Observer`, `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`, `org.eclipse.swt.events.SelectionListener`, `org.eclipse.swt.internal.SWTEventListener`, `org.eclipse.ui.IWorkbenchPreferencePage`, `org.eclipse.ui.IWorkbenchPropertyPage`

public class AtlCodeFormatterPropertyPage extends AbstractPropertyAndPreferencePage implements org.eclipse.ui.IWorkbenchPreferencePage, Observer, org.eclipse.swt.events.SelectionListener
The ATL formatter property page.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CURRENT_PROFILE_KEY`
`static final String`
`DIALOG_STORE_LAST_LOAD_PATH`
`static final String`
`DIALOG_STORE_LAST_SAVE_PATH`
`static final String`
`LAST_TAB_FOCUS`
`static final String`
`PREVIEW`
`static final String`
`PROFILES_KEY`
`static final String`
`PROJECT_SPECIFIC_SETTINGS_ENABLED`
`static final String`
`SHOW_INVISIBLE_PREFERENCE_KEY`

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.preferences.AbstractPropertyAndPreferencePage

`checkBoxModel, colorList, colorListModel, colorSelector, fPreferenceeStore, preview, properties, tableProperties, textFieldModel`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`AtlCodeFormatterPropertyPage()`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`addTabPage(String title, IModifyDialogTabPage tabPage)`
`protected org.eclipse.swt.widgets.Control`
`createContents(org.eclipse.swt.widgets.Composite parent)`
`void`
`fillPreferenceeStore(Map<String,String> settings)`
`protected void`
`initializeSettings()`
`boolean`
`isProjectSpecificSettingsEnabled()`
`protected void`
`newProfilesList(AtlPreview atlPreview)`
`protected void`
`newPropertiesTable(AtlPreview atlPreview, org.eclipse.swt.widgets.TableColumn... editableColumns)`
`protected void`
`performDefaults()`
`boolean`
`performOk()`
`void`
`setElement(org.eclipse.core.runtime.IAdaptable element)`
`void`
`setSelectedProfile(org.eclipse.swt.widgets.List list)`
`void`
`update(Observable o, Object arg)`
`void`
`updateProfilesList()`
`void`
`updatePropertiesTable()`
`protected void`
`updateTab(ModifyDialogTabPage page)`
`void`
`widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.AbstractPropertyAndPreferencePage

`dispose, doGetPreferenceStore, getPreferenceStore, handleColorListSelection, init, initialize, initializeFieldsToDefaultValues, initializeFieldsToUserValues, newCheckBoxField, newCheckBoxField, newCheckBoxField, newColorList, newComposite, newCompositeCheckBoxes, newCompositeColors, newCompositeTextFields, newGroup, newLabelField, newLabelledTextField, newPushButton, newRadioButton, newScrollList, newTabItem, newTextField, newTextField, newTextField, tabForward`

### Methods inherited from class org.eclipse.ui.dialogs.PropertyPage

`getElement`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, getApplyButton, getContainer, getDefaultsButton, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPreferencePage

`init`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPropertyPage

`getElement`

## Field Details

### PREVIEW

public static final String PREVIEW

See Also:
  - Constant Field Values

### PROFILES_KEY

public static final String PROFILES_KEY

### CURRENT_PROFILE_KEY

public static final String CURRENT_PROFILE_KEY

### LAST_TAB_FOCUS

public static final String LAST_TAB_FOCUS

### SHOW_INVISIBLE_PREFERENCE_KEY

public static final String SHOW_INVISIBLE_PREFERENCE_KEY

### PROJECT_SPECIFIC_SETTINGS_ENABLED

public static final String PROJECT_SPECIFIC_SETTINGS_ENABLED

### DIALOG_STORE_LAST_LOAD_PATH

public static final String DIALOG_STORE_LAST_LOAD_PATH

### DIALOG_STORE_LAST_SAVE_PATH

public static final String DIALOG_STORE_LAST_SAVE_PATH

## Constructor Details

### AtlCodeFormatterPropertyPage

public AtlCodeFormatterPropertyPage()

## Method Details

### createContents

protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createContents` in class `org.eclipse.jface.preference.PreferencePage`

### initializeSettings

protected void initializeSettings()

### updateTab

protected void updateTab(ModifyDialogTabPage page)

### addTabPage

protected final void addTabPage(String title, IModifyDialogTabPage tabPage)

### newPropertiesTable

protected void newPropertiesTable(AtlPreview atlPreview, org.eclipse.swt.widgets.TableColumn... editableColumns)

### newProfilesList

protected void newProfilesList(AtlPreview atlPreview)

### setSelectedProfile

public void setSelectedProfile(org.eclipse.swt.widgets.List list)

### updateProfilesList

public void updateProfilesList()

### updatePropertiesTable

public void updatePropertiesTable()

### performDefaults

protected void performDefaults()

Overrides:
  `performDefaults` in class `AbstractPropertyAndPreferencePage`
See Also:
  - `PreferencePage.performDefaults()`

### performOk

public boolean performOk()

Specified by:
  `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
Overrides:
  `performOk` in class `AbstractPropertyAndPreferencePage`
See Also:
  - `AbstractPropertyAndPreferencePage.performOk()`

### fillPreferenceeStore

public void fillPreferenceeStore(Map<String,String> settings)

### update

public void update(Observable o, Object arg)

Specified by:
  `update` in interface `Observer`
See Also:
  - `Observer.update(java.util.Observable, java.lang.Object)`

### setElement

public void setElement(org.eclipse.core.runtime.IAdaptable element)

Specified by:
  `setElement` in interface `org.eclipse.ui.IWorkbenchPropertyPage`
Overrides:
  `setElement` in class `org.eclipse.ui.dialogs.PropertyPage`
See Also:
  - `PropertyPage.setElement(org.eclipse.core.runtime.IAdaptable)`

### widgetSelected

public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetDefaultSelected

public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### isProjectSpecificSettingsEnabled

public boolean isProjectSpecificSettingsEnabled()